MMEvents.createProcesses(event => {
  event
    .create('mm:dirt_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:dirt',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 5000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.15,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:potato',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.15,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:carrot',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:wheat_seeds',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:cocoa_beans',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:pumpkin_seeds',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:melon_seeds',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:beetroot_seeds',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:bamboo',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:sugar_cane',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:kelp',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.01,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:golden_carrot',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:cactus',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'occultism:datura',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:mycelium_spores',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:grass_seeds',
        count: 1
      }
    })
})
